<<< Previous |  | Next >>>

# mail::folder::isparentof

## Name

mail::folder::isParentOf -- Check if another folder is this folder's subfolder

## Synopsis

#include <libmail/mail.H>
mail::folder *folder;
mail::folder *otherFolder;

``bool flag=folder->`isParentOf``(`otherFolder->getPath()`);`

## USAGE

This function returns an indication whether a folder's path (returned by mail::folder::getPath(3x)) refers to a subfolder of this folder.

## Return Codes

The function returns `true` if the specified path refers to a subfolder of this folder.

NOTE: | `true` is returned even if the path does not refer to a direct subfolder (a path referring to a subfolder of a subfolder will still result in a `true` return).

## SEE ALSO

mail::folder::getPath(3x).

<<< Previous | Home | Next >>>
mail::folder::hasSubFolders | Up | mail::folder::open